# builds the picotcp4dos shim and the test application
# http://picotcp4dos.sourceforge.net

# memory model (s, m, c, l)
MODEL = l

CFLAGS = -wx -we -0 -bt=dos -m$(MODEL)
CC = wcc $(CFLAGS)
LIBNAME = picodos$(MODEL).lib

all: $(LIBNAME)

$(LIBNAME): picoinit.c pktdrv.c ipcfg\picoconf.c
	$(CC) picoinit.c
	$(CC) pktdrv.c
	$(CC) ipcfg\picoconf.c
	if exist $(LIBNAME) del $(LIBNAME)
	wlib -b $(LIBNAME) +picoinit.obj
	wlib -b $(LIBNAME) +pktdrv.obj
	wlib -b $(LIBNAME) +picoconf.obj

pkg: $(LIBNAME) ping\ping.exe ipcfg\ipcfg.exe
	if exist ptcp4dos\nul deltree /y ptcp4dos
	mkdir ptcp4dos
	copy $(LIBNAME) ptcp4dos\
	copy picotcp$(MODEL).lib ptcp4dos\
	copy ping\ping.exe ptcp4dos\
	copy ping\ping.txt ptcp4dos\
	copy ipcfg\ipcfg.exe ptcp4dos\
	copy ipcfg\ipcfg.txt ptcp4dos\
	copy picotcp.txt ptcp4dos\
	copy license.txt ptcp4dos\
	copy picodos.h ptcp4dos\
	copy user_doc.pdf ptcp4dos\
	if exist ptcp4dos.zip del ptcp4dos.zip
	zip -9 -r ptcp4dos.zip ptcp4dos
	deltree /y ptcp4dos

clean: .symbolic
	del *.obj
	del $(LIBNAME)
